// ItemSheet.cpp: implementation of the CItemSheet class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Test.h"
#include "ItemSheet.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CItemSheet::CItemSheet()
{

}

CItemSheet::~CItemSheet()
{

}


BOOL CItemSheet::AttachControl (CWnd * _pControl)
{
	return (BOOL) m_ControlList.AddTail (_pControl);
}

BOOL CItemSheet::ShowWindows ( INT _nCmdShow )
{
	POSITION _rPos = m_ControlList.GetHeadPosition();
	CWnd * _pCtrl = NULL;

	while(_rPos)
	{
		_pCtrl = m_ControlList.GetNext(_rPos);
		::ShowWindow(_pCtrl -> GetSafeHwnd(), _nCmdShow );
	}

	return TRUE;
}

BOOL CItemSheet::EnableWindows ( BOOL _bEnable )
{
	POSITION _rPos = m_ControlList.GetHeadPosition();
	CWnd * _pCtrl = NULL;

	while(_rPos)
	{
		_pCtrl = m_ControlList.GetNext(_rPos);

		::EnableWindow(_pCtrl -> GetSafeHwnd(), _bEnable );
	}

	return TRUE;
}